Bug 120905 - Revamp the Bullets and Numbering dialog
Summary: Revamp the Bullets and Numbering dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Impress-Bullet-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2018-10-25 11:44 UTC by Heiko Tietze
Modified: 2020-01-19 14:57 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-10-25 11:44:45 UTC
The workflow with bullets and numbering has some flaws resulting from a suboptimal UI. The proposal in https://design.blog.documentfoundation.org/2017/10/28/impress-lists/ is based on insights from a usability test and streamlines the dialog for better UX.
Comment 1 Roman Kuznetsov 2018-10-26 21:45:50 UTC
Heiko, this enhancement only for Impress or it's for all modules?
Comment 2 Heiko Tietze 2018-10-27 09:23:20 UTC
It's meant for all modules but the usability test was run with Impress.
Comment 3 Andras Timar 2019-05-23 10:17:22 UTC
Related commits:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=e80de5c8fb38f9af58aa7147169a9cd6ec443151
Remove tabs: bullets, numberings, images from Impress

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e3015d7021e689c71c2ed8e5dd01a74d832c84f0
Add new customize and position merged dialog
Comment 4 Roman Kuznetsov 2019-05-27 15:02:44 UTC
Is this enhancement fixed? can we close it as FIXED or not? Heiko?
Comment 5 Heiko Tietze 2019-05-27 16:39:50 UTC
No, it's in an early stage in my opinion. Andras promised more changes until 6.3 and those should be related to this ticket.
Comment 6 Commit Notification 2019-05-28 08:03:58 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b04fa5e4c0e9b4e1c708624873e65dec30cc5ed8%5E%21

tdf#120905 Remove double triangle from the color button.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-05-28 08:05:39 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1c3f71c1e5a7b3d6935505a4a6f96c8948187910%5E%21

tdf#120905 Remove temporary uno command.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-05-28 15:16:38 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5ff162bede44b77cb19e5ff6571b6e34f228d9fb%5E%21

tdf#120905 Remove old FuOutlineBullet dialog code.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-05-29 06:56:16 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e17224e2aa0e53b1e5518ce3c2a2baa174aad265%5E%21

tdf#120905 Add missing doxygen comments.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Heiko Tietze 2019-06-04 07:44:17 UTC
Missing bits:

a) Section headers are done by default in bold with indented content; likewise at Properties but the expander for Position, Alignment, and Scope make not much sense b) The alignment of controls for Type and Character is not pixel-perfect (might be a Gtk problem)
b) In the mockup the Alignment controls come after Color and do not occupy extra space
c) The Relative checkbox at Position is unclear; a tooltip might help
d) At the Levels list we have 1-10 (=all) as an extra item but this would better go into a checkbox that disables the individual section (would be the default); see mockup
e) We had predefined bullets in the previous version that are gone now; ideally we get a column left of levels (and maybe make this a dropdown) where we list some bullets, numbers, graphics presets and allow the user to extend as known from the area fill dialog.
f) It would be nice to have a grid for the most recently used characters as known from the special character dialog.
g) The dialog should also become the standard in other modules.
h) Bug 125642 needs to be solved

IMHO, all except f) are mandatory for a full replacement.
Comment 11 Mike Kaganski 2019-06-05 07:39:21 UTC
(In reply to Heiko Tietze from comment #10)
> b) In the mockup the Alignment controls come after Color and do not occupy
> extra space

Cannot agree that this bit in mockup makes sense. Putting alignment (something always related to *position*!) in the "Formatting" line between color and scale (sic!) may only be due to oversight.
Comment 12 Heiko Tietze 2019-06-05 08:38:13 UTC
(In reply to Mike Kaganski from comment #11)
> (In reply to Heiko Tietze from comment #10)
> > b) In the mockup the Alignment controls come after Color and do not occupy
> > extra space
> 
> Cannot agree that this bit in mockup makes sense. Putting alignment
> (something always related to *position*!) in the "Formatting" line between
> color and scale (sic!) may only be due to oversight.

I understand Alignment (admittedly with a higher importance), Color, Scale as fine-tuning of what has been selected above. Space is precious and there is no need to draw special attention to Alignment.
Comment 13 Mike Kaganski 2019-06-05 09:01:29 UTC
(In reply to Heiko Tietze from comment #12)

This is complete wrong.

You might look at the many questions out there about proper setup of list settings - and e.g. several books devote quite a sizeable amount of attention to that problem, *because the topic is difficult*. In this case (no idea about others, but this one for sure) no talk should be about presious space when some hard-to-understand concepts (like alignment of the number: just check how many know what exactly does that mean?) made pushed into places that would confuse people more.

Check, e.g., this blog post made just to clarify what isn't obvious in the dialog: https://frommindtotype.wordpress.com/2018/01/08/numbered-and-bulleted-lists-alignment-on-libreoffice-writer/
Comment 14 Dieter 2019-06-05 09:43:32 UTC
(In reply to Mike Kaganski from comment #13)
> Check, e.g., this blog post made just to clarify what isn't obvious in the
> dialog:
> https://frommindtotype.wordpress.com/2018/01/08/numbered-and-bulleted-lists-
> alignment-on-libreoffice-writer/

Very interesting article. I never cared about alignment of list numbers and bullets, but now I see that this alignment is completely different from the alignment of paragraphs. So I agree, that the meaning of setting "left" or "right" is not intuitive.